<?
/* 
-------------------------------------------------------------------------
./logicaland 0.1 - a participative global simulation
-------------------------------------------------------------------------
Copyright (c) 2002 ./logicaland (http://www.logicaland.net)
Michael Aschauer, Josef Deinhofer (io@logicland.net)
-------------------------------------------------------------------------
For information on usage and redistribution, and for a DISCLAIMER OF ALL
WARRANTIES, see the file, "LICENSE.txt," in this distribution.  
-------------------------------------------------------------------------
*/

header("Content-Type: text/plain");

require("../conf/mysql_conf.php");
require("../inc/MySQLSession.class.php");

$sess= new MySQLSession($mysql_conf, true);

$query_string = "	SELECT 
				year,
				region, 
				sum(util_aid) as util_aid,
				sum(food_aid) as food_aid, 
				sum(util_aid/util_aid) as util_count,
				
				sum(food_aid/food_aid) as food_count,
				sum(dist_indust) as dist_indust, 
				sum(dist_agri) as dist_agri, 
				sum(dist_tech) as dist_tech, 
				sum(dist_other) as dist_other, 
				sum(dist_indust/dist_indust) as dist_count
			FROM ui_data
			GROUP BY year, region";

$result = $sess->query($query_string);


while ($row = @mysql_fetch_array($result))
{

	if ($row["dist_count"]==0) $row["dist_count"] = 1;
	if ($row["food_count"]==0) $row["food_count"] = 1;
	if ($row["util_count"]==0) $row["util_count"] = 1;
	
	echo $row["year"] . ";";
	echo $row["region"] .";";

	echo number_format($row["util_aid"]/$row["util_count"] , 2) . ";";
	echo number_format($row["food_aid"]/$row["food_count"] , 2) . ";";
	
	echo number_format($row["dist_indust"]/$row["dist_count"] , 2) . ";";
	echo number_format($row["dist_agri"]/$row["dist_count"] , 2) . ";";
	echo number_format($row["dist_tech"]/$row["dist_count"] , 2) . ";";
	echo number_format($row["dist_other"]/$row["dist_count"] , 2) . ";";
	echo "\n";
}
?>
