<?
/* 
-------------------------------------------------------------------------
./logicaland 0.1 - a participative global simulation
-------------------------------------------------------------------------
Copyright (c) 2002 ./logicaland (http://www.logicaland.net)
Michael Aschauer, Josef Deinhofer (io@logicland.net)
-------------------------------------------------------------------------
For information on usage and redistribution, and for a DISCLAIMER OF ALL
WARRANTIES, see the file, "LICENSE.txt," in this distribution.  
-------------------------------------------------------------------------
*/

header("Content-Type: text/plain");

require("../conf/mysql_conf.php");
require("../inc/MySQLSession.class.php");

$sess= new MySQLSession($mysql_conf,true);

// flags dummy

if($sess->isValid($sid)) $valid = "true";
else $valid="false";


$row = $sess->singleSelect("SELECT * FROM game_flags");

echo "valid=$valid\n";
echo "foresightYears=" .$row["foresight"] ."\n";
echo "UserOnline=". $sess->getUserOnline() ."\n";
echo "gameStatus=". $row["status"] ."\n";

if ($row["status"]=="running")
{
	$row = $sess->singleSelect(	"SELECT 
						( TIME_TO_SEC(NOW()) - TIME_TO_SEC(start_time) 
						   + (TO_DAYS(now()) - TO_DAYS(start_time))*1440*60
						) /(interval_time*60) 
						+ preroll 
					as now 
					FROM game_flags");
	echo "actYear=".floor($row["now"]) ."\n";
	echo "PlayTime=".floor(($row["now"] - floor($row["now"])) * 100) ."\n";
}
else
{
	echo "actYear=".$row["actYear"] ."\n";
	echo "PlayTime=0\n";
}
?>
