<?

/* 
-------------------------------------------------------------------------
./logicaland 0.1 - a participative global simulation
-------------------------------------------------------------------------
Copyright (c) 2002 ./logicaland 
Michael Aschauer, Josef Deinhofer (io@logicland.net)
-------------------------------------------------------------------------
For information on usage and redistribution, and for a DISCLAIMER OF ALL
WARRANTIES, see the file, "LICENSE.txt," in this distribution.  
-------------------------------------------------------------------------
*/

require("inc/phplib/template.inc");
require("conf/mysql_conf.php");
require("inc/MySQLSession.class.php");


$logged_in = false;
$sess= new MySQLSession($mysql_conf);

$row = $sess->singleSelect("SELECT * FROM game_flags");

if ($row["status"] == "closed")
{
	header ("Location: closed.html");	
	echo "<br>";
	exit;
}


if ($action == "login") 
{ 
	if(!doLogin()) doLoginForm("login failed."); 
	else 
	{
		$user_data = $sess->getUserData();
		if ($sess->isAdmin()) 
		{
			header ("Location: admin.php".$sess->getSessionString());
			echo "<br>";
			exit;
		}
		else
		{
			header ("Location: ".$sess->getSessionString());
			echo "<br>";				
			exit;
		}
	}
}
else if (empty($sid)) doLoginForm("");
else if (!$sess->isValid($sid)) 
{ 
	$sess->error_log("[invalid session ID] [". $HTTP_SERVER_VARS["REMOTE_ADDR"] . "]\n");
	doLoginForm("session invalid");
}
	
else if ($action == "logout") doLogout();



$user_data = $sess->getUserData();

	
$tpl = new Template();
$tpl->set_file("login", "tpl/game.html");

$tpl->set_var(
	array(
		"ERROR" => $sess->getErrorMsg(),
		"USER_ONLINE" => $sess->getUserOnline(),
		"USER_NAME" => $user_data["name"],
		"LAST_LOGIN" => $user_data["lastLogin"],
		"SID" => $sess->getSessionID(),
		"LINK_FORUM" => "forum.php".$sess->getSessionString(),
		"LINK_LOGOUT" => $sess->getSessionString()."&action=logout",
		"STATUS" => $row["status"],
		"ACTYEAR" => $row["actYear"],
		"FORESIGHT" => $row["foresight"],
		"REFRESH_TIME" => $row["refresh_time"]
		)
);

$tpl->parse("out", "login");
$tpl->p("out");
	
?>
