<?
/* 
-------------------------------------------------------------------------
./logicaland 0.1 - a participative global simulation
-------------------------------------------------------------------------
Copyright (c) 2002 ./logicaland (http://www.logicaland.net)
Michael Aschauer, Josef Deinhofer (io@logicland.net)
-------------------------------------------------------------------------
For information on usage and redistribution, and for a DISCLAIMER OF ALL
WARRANTIES, see the file, "LICENSE.txt," in this distribution.  
-------------------------------------------------------------------------
*/


require("inc/phplib/template.inc");

include("conf/mysql_conf.php");
include("inc/MySQLSession.class.php");
include("inc/String_Validation.inc.php");




$sess= new MySQLSession($mysql_conf);


if ($action == "register")
{
	$error_msg = "";
	if(empty($USER_NAME) || !is_alphanumeric($USER_NAME)) $error_msg .= "username is not valid <br>";
	if(!$sess->userExists($USER_NAME)) $error_msg .= "username exists <br>";

	if(empty($pwd) || !is_alphanumeric($pwd)) $error_msg .= "password is not valid <br>";
	if($pwd != $pwd2) $error_msg .= "passwords don't match <br>";

	if(!empty($email) && !is_email($email)) $error_msg .= "email is not valid <br>";

	if(strlen($error_msg)<1)
	{
		if($sess->register($USER_NAME,$pwd,$email))
		{	
			header ("Location: index.php?USER_NAME=$USER_NAME");	
			echo "<br>";
			exit;
		}
		else
			$error_msg .= "register failed.";		
	}
	
}


	
$tpl = new Template();
$tpl->set_file("seite", "tpl/register.html");

$tpl->set_var(array(
		"ERROR" => $error_msg,
		"USER_NAME" => $USER_NAME,
		"EMAIL" => $email
		));

$tpl->parse("out", "seite");
$tpl->p("out");


?>
