<?
/* 
-------------------------------------------------------------------------
./logicaland 0.1 - a participative global simulation
-------------------------------------------------------------------------
Copyright (c) 2002 ./logicaland 
Michael Aschauer, Josef Deinhofer (io@logicland.net)
-------------------------------------------------------------------------
For information on usage and redistribution, and for a DISCLAIMER OF ALL
WARRANTIES, see the file, "LICENSE.txt," in this distribution.  
-------------------------------------------------------------------------
*/

require("conf/mysql_conf.php");
require("inc/phplib/template.inc");
require("inc/MySQLSession.class.php");




$sess= new MySQLSession($mysql_conf);

if (!$sess->isValid($sid)) 
{
	$user_data["name"] = "nobody";
}
else
{
	$user_data = $sess->getUserData();
}


	$tpl = new Template();
	$tpl->set_file(array(
		"seite" => "tpl/howto.html",
		"header" => "tpl/forum_header.html"));

	$tpl->set_var(array(						
		
		)
	);	

	$tpl->set_block("seite","header","head");
	$tpl->set_var(array(
			"USER_NAME" => $user_data["name"],
			"USER_ONLINE" => $sess->getUserOnline(),
			"SESSION_STRING" => $sess->getSessionString(),
			"TITLE" => "HOWTO"
			)
		);
	$tpl->parse("head","header",true);	
		
	$tpl->parse("out", "seite");
	$tpl->p("out");
	exit;
	
?>
